import request, { postBlob } from '@/utils/request'

export function getLoginCrossDistrictList(params) {
  return request({
    url: `/trade/login/order/span/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}


export function exportLoginCrossDistrict(data, name) {
  return postBlob({
    url: '/trade/login/order/span/list/export',
    data,
    name
  })
}

export function addLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/span-add`,
    method: 'post',
    data: params
  })
}

export function editLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/span-edit`,
    method: 'post',
    data: params
  })
}

export function examineLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/span-examine`,
    method: 'post',
    data: params
  })
}

export function submitLoginHomeDecoration(params) {
  return request({
    url: `/trade/login/order/span-submit`,
    method: 'post',
    data: params
  })
}
